<?php
/**
 * Clase TipoNegocioBL
 *
 * @package    
 * @subpackage 
 * @author     TipoNegocioBL
 * @version    SVN: $Id: TipoNegocioBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class TipoNegocioBL{
    
  /**
  * 
  *
  * @param $o_TipoNegocioBean, objeto de tipo TipoNegocio 
  * @return Boolean
  */
  public function busquedaTipoNegocio(TipoNegocioBean $o_TipoNegocioBean){
    
    $o_TipoNegocioDP = new TipoNegocioDP($o_TipoNegocioBean);
    if($o_TipoNegocioBean->getIdTipoNegocio()){
      return $o_TipoNegocioDP->selectByPk();
    }else{
      return $o_TipoNegocioDP->select();
    }
    
  }
  
  public function busquedaTipoNegocioResulset(TipoNegocioBean $o_TipoNegocioBean){
    
    $o_TipoNegocioDP = new TipoNegocioDP($o_TipoNegocioBean);
    return $o_TipoNegocioDP->selectResultset();
        
  }
  
  public function insertarTipoNegocio(TipoNegocioBean $o_TipoNegocioBean){
    
    $o_TipoNegocioCT = new TipoNegocioCT();
    return $o_TipoNegocioCT->guardar($o_TipoNegocioBean);
    
  }
  public function modificarTipoNegocio(TipoNegocioBean $o_TipoNegocioBean){
      $o_TipoNegocioCT = new TipoNegocioCT();
      return $o_TipoNegocioCT->modificar($o_TipoNegocioBean);
  }
  /**
	* Función que retorna un objeto TipoNegocio o una lista de Objetos de TipoNegocio,
	* dependiendo del parametro que se le envia si este contiene o no el Id de TipoNegocio
	*
	* @param $o_TipoNegocioBean, es un objeto de tipo TipoNegocio
	* @return Object
	*/
	public function modificarEstadoTipoNegocio(TipoNegocioBean $o_TipoNegocioBean){
	  
	}
  
  public function eliminarTipoNegocio(TipoNegocioBean $o_TipoNegocioBean){
    $o_TipoNegocioCT = new TipoNegocioCT();
    return $o_TipoNegocioCT->eliminar($o_TipoNegocioBean);
    
  }
  
  public function getCountResult(TipoNegocioBean $o_TipoNegocioBean){
    $o_TipoNegocioCT = new TipoNegocioCT();
    return $o_TipoNegocioCT->totalRegistros($o_TipoNegocioBean);
  }
  
}









